### Name: coverage
### Title: Density and Cumulative Distribution Function for Modified Data
### Aliases: coverage Coverage
### Keywords: models

### ** Examples

## Default case: pdf of the per payment random variable with
## an ordinary deductible
coverage("gamma", deductible = 1)

## Add a limit
f <- coverage("gamma", deductible = 1, limit = 7)
f(0, shape = 3, rate = 1)
f(2, shape = 3, rate = 1)
f(6, shape = 3, rate = 1)
f(8, shape = 3, rate = 1)
curve(dgamma(x, 3, 1), xlim = c(0, 10), ylim = c(0, 0.3))    # original
curve(f(x, 3, 1), xlim = c(0.01, 5.99), lty = 2, add = TRUE) # modified
points(6, f(6, 3, 1), type = "h", pch = 16)
points(6, f(6, 3, 1), pch = 16)

## With no deductible, all distributions below are identical
coverage("weibull", limit = 5)
coverage("weibull", per.loss = TRUE, limit = 5)
coverage("weibull", franchise = TRUE, limit = 5)
coverage("weibull", per.loss = TRUE, franchise = TRUE, limit = 5)



